Skip to content
BleemeoBleemeo

List news

GET
/v1/news/
curl --request GET \
--url 'https://example.com/v1/news/?category=event' \
--header 'Authorization: Bearer <token>'

Return all published news items.

active
boolean
category
string
Allowed values: event feature fix improvement tip
  • feature - Feature
  • improvement - Improvement
  • fix - Fix
  • tip - Tip
  • event - Event
cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page.

search
string

A search term.

Media typeapplication/json
object
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
title
required
string
<= 50 characters
description
string
category
  • feature - Feature
  • improvement - Improvement
  • fix - Fix
  • tip - Tip
  • event - Event
string
Allowed values: feature improvement fix tip event
image
string format: uri
nullable
banner_image
string format: uri
nullable
active
required
boolean
publish_at

A published news only becomes visible once this date is reached.

string format: date-time
expire_at

Once this date is reached, the news is no longer visible.

string format: date-time
nullable
cta_label
string
<= 50 characters
cta_url

Call-to-action target: a full URL (https://…, opens in a new tab) or a panel-relative path (e.g. /settings/cloud, opens in the app).

string
<= 200 characters
read
required
boolean
my_reaction
required
string
nullable
reactions
required
object
key
additional properties
integer
created_at
string format: date-time
modified_at
required
string format: date-time

Example

{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"category": "feature"
}
]
}